Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.sql
Class Datenbank

    java.lang.Object
      sum.sql.Datenbank

    public class Datenbank

extends Object

Die Klasse Datenbank stellt die Schnittstelle zu relationalen Datenbanken her. Diese Klasse wurde bisher nur mit MySQL-Datenbanken getestet.

Version:
  7.0 vom 21.9.2008
Author:
  Bernard Schriek

Field Summary
`static Connection` | `hatVerbindung`

Constructor Summary
`Datenbank()` Ein neues Datenbankobjekt wird erstellt.

Method Summary
`String` | `datenbankinfo()` Informationen zur aktuellen Datenbank werden zurückgegeben.
`SQLErgebnisliste` | `ergebnis()` Die Ergebnisliste (Tabelle) zur letzten verschickten SQL-Anweisung wird zurückgegeben.
`String` | `sendeSQL(String pSQLAnweisung)` Eine SQL-Anweisung wird an die Datenbank geschickt.
`int` | `tabellenanzahl()` Die Anzahl der Tabellen in der Datenbank wird zurückgegeben
`String` | `tabellenname(int pNummer)` Der Name der entsprechenden Tabelle wird zurückgegeben.
`void` | `trenne()` Eine bestehende Verbindung zu einer konkreten Datenbank wird getrennt.
`String` | `verbinde(String pDatenbank, String pTreiber, String pAnbindung, String pUser, String pPwd)` Das Datenbankobjekt wird mit einer konkreten Datenbank verbunden.
`String` | `verbindeMySQL(String pDatenbank, String pServer, String pUser, String pPwd)` Das Datenbankobjekt wird mit einer konkreten MySQL-Datenbank verbunden.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hatVerbindung

    public static Connection hatVerbindung

Constructor Detail

### Datenbank

    public Datenbank()

  Ein neues Datenbankobjekt wird erstellt. Es besitzt noch keine Verbindung zu einer konkreten Datenbank.

Method Detail

### datenbankinfo

    public String datenbankinfo()

  Informationen zur aktuellen Datenbank werden zurückgegeben.

  Returns:
    die Informationen zur Datenbank

### ergebnis

    public SQLErgebnisliste ergebnis()

  Die Ergebnisliste (Tabelle) zur letzten verschickten SQL-Anweisung wird zurückgegeben.

  Returns:
    die Ergebnisliste

### sendeSQL

    public String sendeSQL(String pSQLAnweisung)

  Eine SQL-Anweisung wird an die Datenbank geschickt. Die Datenbank liefert ein Ergebnis, das dann weiterverarbeitet werden kann.

  Parameters:
    `pSQLAnweisung` - die SQL-Anweisung, die an die Datenbank geschickt wird
  Returns:
    eine Fehlermeldung, falls die Anweisung korrekt war, wird ein leerer String "" zurückgegeben

### tabellenanzahl

    public int tabellenanzahl()

  Die Anzahl der Tabellen in der Datenbank wird zurückgegeben

  Returns:
    die Anzahl der Tabellen in der Datenbank

### tabellenname

    public String tabellenname(int pNummer)

  Der Name der entsprechenden Tabelle wird zurückgegeben.

  Parameters:
    `pNummer` - die Nummer der Tabelle (beginnend bei 1)
  Returns:
    der Name der entsprechenden Tabelle

### trenne

    public void trenne()

  Eine bestehende Verbindung zu einer konkreten Datenbank wird getrennt.

### verbinde

    public String verbinde(String pDatenbank,
                           String pTreiber,
                           String pAnbindung,
                           String pUser,
                           String pPwd)

  Das Datenbankobjekt wird mit einer konkreten Datenbank verbunden. Falls mit einer MySQL-Datenbank verbunden werden soll, ist der Dienst verbindeMySQL geeigneter.

  Parameters:
    `pDatenbank` - der Name der Datenbank
    `pTreiber` - der Name des Datenbanktreibers
    `pAnbindung` - die Anbindung zur Datenbank
    `pUser` - der "registrierte" Benutzer der Datenbank
    `pPwd` - das Passwort des Benutzers zum Zugriff auf die Datenbank
  Returns:
    die Fehlermeldung, ein leerer String "", falls die Vebindung aufgebaut wurde

### verbindeMySQL

    public String verbindeMySQL(String pDatenbank,
                                String pServer,
                                String pUser,
                                String pPwd)

  Das Datenbankobjekt wird mit einer konkreten MySQL-Datenbank verbunden.

  Parameters:
    `pDatenbank` - der Name der Datenbank
    `pServer` - der Server bzw. die IP-Nr des Datenbankservers
    `pUser` - der "registrierte" Benutzer der Datenbank
    `pPwd` - das Passwort des Benutzers zum Zugriff auf die Datenbank
  Returns:
    die Fehlermeldung, ein leerer String "", falls die Vebindung aufgebaut wurde

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD